Subject: MachTen (Unix for Mac) - summary

From: "Ton Rullmann" <[email-masked]>
Date: Fri, 24 Nov 1995 17:53:28 +0000

A few weeks ago I asked for info about MachTen, an implementation of
Unix for Macintosh. A summary of the replies - all favourable - is included
below. I also learned that an article about MachTen (focusing on its use as
Internet Server) appeared in MacUser of March, 1995.

Since one or two people asked about X-window implementations for Mac, I try
to summarize a few things that have been sent on the ccl.
* MachTen supports X11R5. In some versions you have to buy the X-window
  software separately (see info available from Tenon Intersystems,
  1123 Chapala St. Suite 202, Santa Barbara, CA, 93101
  (805) 963-6983, (805) 962-8202 fax
  [email-masked], http://www.tenon.com/ )
* Linux might be an alternative, when a port to Mac (apparently under way)
  is ready.
* MacX is mentioned several times. This is an Apple product.
  I have seen it in action, and was happily surprised by the speed on a
  Power Mac 8100. It has iconizable windows that are displayed on the Mac
  desktop (in "rootless mode"), and all settings and documents can be saved
  in startup documents.
* An (incomplete??) mail recently sent by Raymond C. Fort, Jr.
  ([email-masked]) on the ccl mentions a product called Xoftware,
  but I have no idea what it is.

Thanks to everybody who replied, and sorry for the delay in summarizing.

Ton Rullmann.

***********************************************************************

	We are also trying to obtain information regarding
MachTen.  Unfortuneately we have been playing "phone-tag"
with the technical staff at Tenon.  If and when we learn more
we will communicate that to you.  Please send us your summary
of responses.
	Thanks,
		Carol
	Carol Parish Ph.D.
	Department of Chemistry		[email-masked]
	Columbia University		(212) 854-5143
	New York, NY 10027              (718) 981-0356

***********************************************************************

Heb er al het een en het ander van gehoord (meestal vrij positief). Hou
je mij op de hoogte van de antwoorden (kan ik op mijn Power Mac thuis ook
Unix draaien :-)

P.S. Er is een port naar de Power Mac bezig van Linux.

[my translation:
Have heard some things about it, mostly reasonably positive.
Keep me posted, so I can run Unix at my PowerMac at home :-)
PS. Linux is being ported to Power Mac.]

Kris Boulez		([email-masked])
Biomolecular NMR unit	<http://bionmr1.rug.ac.be/~kris>
University of Ghent, Belgium

***********************************************************************

I'm very satisfied.  In fact, the existance of Machten influenced my
decision to purchace a Mac (PowerPC 7100/80) over a Pentium based PC.
(especially since I really hated the idea of using MicroSerf Dog and
MicroSerf Windoze!) The latest PPC release (4.0) is really nice (even
though it doesn't
use virtual memory...) and comes with native X11R5.

A few caveats if you're doing code development
the g77 compiler is buggy, but that's a problem with
g77 and not Machten.  Since g77 is basically an interpreter for
gcc, I'm not too surprized...besides it's still a "beta" release.
The c-compiler (gcc) is pretty nice, although here are some
pecularities that folks have reported.  Fortunately, there's a pretty active
e-mail list which can very useful in finding folks who have solved whaat ever
new problem you discover. Plus the MachTen support staff is really top-notch.

As far as speed.  MachTen runs as a application and interacts fully with the
MacOS...So, you get the full benefits of the PPC chip.
Also, you can adjust the scheduling preferences (Mac vs. Unix)
using the control panel...so if you're running code, crank up the Unix
or turn it down when using  Mac applications.  I usually keep things set at
about 60:40 Mac:Unix since I mainly use MT  for TCP/IP, mail, and httpd
services.  When I get some time, I plan to compare its number crunching
capabilities with some other computers we have around.

For a UnixOS...it is as good as anything I've used, and in many ways easier to
administer.

Installation is a no-brainer.  The CD-rom comes with with everything ready
to go.

Compatability. Again, it's just like using unix on a Sun station...only you
have all the features of a Mac as a plus.  There are some quirks and system
hang-ups every once in a while, but I'm nott totally convinced MT is to blame.

System requirements: I have 49Mbytes RAM which I find to be OK as along as I
don't have a lot of other applications.
(24 Mbytes is builtin and the remainder is virual)
Right now, (running just the Finder and MachTen with about 10 mac windows open)
the finder is using 8Mbytes and MT 4Mbytes...Cranking up
X11 will boost the memory used by the *finder* up to about 10 or 11 Mbytes
and each new x-window or application will eat up about .75 Mbytes.
Emacs is a real memory hog (no as bad as MSWord)...but MachTen comes with
BBEdit, which is very nice as a small memory footprint editor.

There are some tricks one has to play in order to move Mac files and Unix
files,
especially if you're like me and have a laser printer hooked up to
remote unix machine.  The problem is that Mac files have both resource and
data forks where as unix uses only data forks.  Of course the folks at
Tenon have realized this and provide useful filters for converting back and
forth.

Unlike linux, you can switch baack aand forth between unix and mac by just
clicking.  You can move Mac files into the unix folder and vice versa.
Using links, you can mount Mac folders in the unix folder.  External
disks (Zip disks, floppies, and CDs) are mounted automatically in a unix volume
so that you can "cd" right on to the disk.

Eric

Dr. Eric R. Bittner                     phone: (512)-471-1092
Dept. of Chemistry and Biochemistry       fax: (512)-471-16224
Univ. of Texas at Austin                email: [email-masked]
                                         http://eiger.cm.utexas.edu

***********************************************************************

I use it, and overall, I like it. The X/Windows implmentation
is certainly better than Mac/X and (I think) at least as good
as eXceed or eXodus. MacTen is based on the Mach kernel (of course),
and it shows in places: MachTen claims to be 4.3BSD, but it's not
*really*. Most things can be compiled with a bit of work; some things
cannot without a LOT of work. Some things, like mmap() are hopelessly
broken. This is all regarding the 68k version, btw (MachTen 2.2).
I haven't tried the PowerMac version, but from what I understand, It
would be best to wait for the second (or third...) release, as some
vital features (virtual memory, linking against Xlib) aren't there
yet!

Ernest Friedman-Hill                Phone: (510) 294-2154
Scientific Computing                FAX:   (510) 294-2234
Sandia National Labs                [email-masked]
Org. 8117, MS 9214          http://herzberg.ca.sandia.gov
PO Box 969
Livermore, CA 94550

***********************************************************************

Date: Tue, 31 Oct 1995 15:50:22 -0500
From: [email-masked] (Raymond C. Fort, Jr.)
Subject: CCL:Summary of X-clients

[...stuff deleted...]
MacX was the only software mentioned for Macintoshes, with positive
experiences reported by Stephen Bowlus ([email-masked]), Per
Arvidsson ([email-masked]), Dave Young
([email-masked]), and Craig Burkhart
([email-masked]).  We have some small experience with MacX
ourselves, and find it usable, although a bit clunky.

[...stuff deleted...]

***********************************************************************

Date: Wed, 1 Nov 1995 09:56:27 -0500

Logic, Inc. ([email-masked]).  Katie Breen was particularly helpful
in faxing me a copy of the sales brochure.  Xoftware comes in
versions for both PC and Mac; Craig Martens ([email-masked]) has a
positive experience with the Mac version.  We will order trial

[...stuff deleted...]

Professor Ray Fort, Jr.             Voice:   (207)-581-1180
Department of Chemistry             FAX:     (207)-581-1191
University of Maine                 E-mail:  [email-masked]
Orono ME 04469                               [email-masked]

***********************************************************************

Date: Sat, 15 Oct 1994 08:43:52 -0500 (EST)
From: Phil Bays <[email-masked]>
Subject: CCL:X windows on the Power PC

We use all our MacIntoshes as X displays for Felix
successfully, using the software MaxX.  A couple of
years ago I believe MacX sold for about $200.
All of our Macs and SGIs are of course connected over
an ethernet, thus MacX allows us also to use the Mac as
an X terminal for workstations.

The trickiest part about getting Felix to display thru
MacX is getting the settings in the MacX setup correct.
Once you have installed MacX on your MacIntosh, start it
up, and under Remote choose Edit Command.
The command line you enter must be:

/usr/bin/X11/xterm -ls -title "@host xterm" -sb -display "@display"

where I've used the @ symbol here in place of the R-in-a-circle
symbol (the trademark symbol---I don't remember how to make
it on the Mac).

Then, Command Name can just be the user's login name for
the SGI.

Display MUST be (2)Color Rootless

Output  Save

For Host, add your SGI's hostname to the list and choose it.
For Method, we use MacTCP Tool, already installed on our Mac.

This works well for us. I know that there are variations
of the command line above that starts with /usr/bin......
becasue once I had to work with a Mac expert to get it to work
on someone else's Mac, and I know we ended up with soemthing
slightly different from above. Also that particular time we kept
running into out-of-memory errors from the Mac, and all she then
did was increase the Mac's virtual memory and everything was fine.

There is a more complete writeup of how to do this in my old Biosym
notebook from when I was still at Biosym, so if you have
a Customer Support contract with Biosym, simply send
them email at [email-masked] and request the instructions
for doing this--the person in the Felix support job now
will know what to send you.

Kelly Keating
Dept. of Chemistry
Emory University
Atlanta, GA 30322

***********************************************************************

-- 
J.A.C. Rullmann                 http://www-nmr.chem.ruu.nl/users/rull/rull.html
Bijvoet Center for Biomolecular Research          E-mail : [email-masked]
Utrecht University, Padualaan 8,                   Phone : int+31.30.2533641
3584 CH Utrecht, the Netherlands                   Fax   : int+31.30.2537623
                                                                     ^
                         NOTE: phone numbers have changed - insert a 2